-- Author      : Kurapica
-- Create Date : 5/13/2012
-- ChangeLog

----------------------------------------------------------------------------------------------------------------------------------------
--- DockLayoutPanel
-- <br><br>inherit <a href=".\LayoutPanel.html">LayoutPanel</a> For all methods, properties and scriptTypes
-- @name DockLayoutPanel
----------------------------------------------------------------------------------------------------------------------------------------

local version = 1
if not IGAS:NewAddon("IGAS.Widget.DockLayoutPanel", version) then
	return
end

class "DockLayoutPanel"
	inherit "LayoutPanel"
	
	------------------------------------------------------
	-- Script
	------------------------------------------------------


	------------------------------------------------------
	-- Method
	------------------------------------------------------
	
	------------------------------------
	--- Adds a widget at the center of the dock. No further widgets may be added after this one.
	-- @name LayoutPanel:Add
	-- @class function
	-- @param widget
	-- @return widget
	-- @return index
	------------------------------------
	function Add(self, widget)
	end
	
	------------------------------------
	--- Adds a widget to the east edge of the dock.
	-- @name LayoutPanel:AddEast
	-- @class function
	-- @param widget
	-- @param size
	-- @return widget
	-- @return index
	------------------------------------
	function AddEast(self, widget, size)
	end
	
	------------------------------------
	--- Adds a widget to the north edge of the dock.
	-- @name LayoutPanel:AddNorth
	-- @class function
	-- @param widget
	-- @param size
	-- @return widget
	-- @return index
	------------------------------------
	function AddNorth(self, widget, size)
	end
	
	------------------------------------
	--- Adds a widget to the south edge of the dock.
	-- @name LayoutPanel:AddSouth
	-- @class function
	-- @param widget
	-- @param size
	-- @return widget
	-- @return index
	------------------------------------
	function AddSouth(self, widget, size)
	end
	
	------------------------------------
	--- Adds a widget to the west edge of the dock.
	-- @name LayoutPanel:AddWest
	-- @class function
	-- @param widget
	-- @param size
	-- @return widget
	-- @return index
	------------------------------------
	function AddWest(self, widget, size)
	end
	
	------------------------------------------------------
	-- Property
	------------------------------------------------------


	------------------------------------------------------
	-- Script Handler
	------------------------------------------------------
	
	
	------------------------------------------------------
	-- Constructor
	------------------------------------------------------
	function DockLayoutPanel(name, parent)
		local panel = LayoutPanel(name, parent)
		
		return panel
	end
endclass "DockLayoutPanel"